import {IFactory as IAppFactory} from '../IFactory';
import {IObjectBus} from './IObjectBus';
import {IFileInputBus} from './IFileInputBus';
import {ITreeSelectBus} from './ITreeSelectBus';

export interface IFactory {
    init(conf:any): void;
    setAppFactory(factory:IAppFactory):void;
    getObjectBus():IObjectBus;
    getFileInputBus():IFileInputBus;
    getTreeSelectBus():ITreeSelectBus;
}